import { Http } from '@angular/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { FacturaInfo, FacturaItem } from '../models/factura';
import { FacturaDetail } from '../models/factura-detail';
export declare class FacturaService extends DocumentService<FacturaDetail, FacturaInfo> {
    protected http: Http;
    protected context: Context;
    constructor(http: Http, context: Context);
    create(): Promise<FacturaInfo>;
    searchKeyword(idBranch: number, keyword: string): Observable<FacturaItem[]>;
}
